import configparser
import psycopg2

cfg = configparser.ConfigParser()
cfg.read('../config.ini')
assert "POSTGRES" in cfg, "missing POSTGRES in config.ini"
param_postgres = cfg["POSTGRES"]

with psycopg2.connect(database=param_postgres["dbName"], user=param_postgres["user"], password=param_postgres["password"], host=param_postgres["host"], port=param_postgres["port"]) as connection:
    with connection.cursor() as cursor:
        cursor.execute('select st_astext(square) from stations where file is null')
        results = cursor.fetchall()
        for result in results:
            print(result)